package com.example.demo.waluty;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/waluty.rest")
public class WalutyRest {
    private PobieranieXML pobieracz = new PobieranieXML();
    
    @GetMapping
    public TabelaWalut wyswietlWaluty() {
        TabelaWalut tabela = pobieracz.pobierzTabele(null);
        return tabela;
    }
    
    @GetMapping("/{data}")
    public TabelaWalut wyswietlWaluty(@PathVariable String data) {
        TabelaWalut tabela = pobieracz.pobierzTabele(data);
        return tabela;
    }

}
